libzypp: zyppng::sat::LookupAttr::iterator Class Reference

libzypp 17.38.9

zyppng::sat::LookupAttr::iterator Class Reference

Result iterator. More...

`#include <zypp/ng/sat/lookupattr.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = LookupAttrValue
using | difference_type = std::ptrdiff_t
using | pointer = void
| proxy type — no stable address
using | reference = LookupAttrValue

## Moving fast forward.
detail::DIWrap | _dip
void | nextSkipSolvAttr ()
| On the next call to operator++ advance to the next SolvAttr.
void | nextSkipSolvable ()
| On the next call to operator++ advance to the next Solvable.
void | nextSkipRepo ()
| On the next call to operator++ advance to the next Repository.
void | skipSolvAttr ()
| Immediately advance to the next SolvAttr.
void | skipSolvable ()
| Immediately advance to the next Solvable.
void | skipRepo ()
| Immediately advance to the next Repository.
void | stayInThisSolvable ()
| Stop after all matches in the current Solvable are processed.
void | stayInThisRepo ()
| Stop after all matches in the current Repository are processed.
bool | atEnd () const
| Whether this points to the end of a query (iterator is invalid).
| iterator ()
| iterator (const iterator &rhs)
iterator & | operator= (const iterator &rhs)
| ~iterator ()
| iterator (detail::DIWrap &dip_r)
| C-tor taking over ownership of the passed `detail::CDataiterator` and doing its first iteration (::dataiterator_step).
reference | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &rhs) const
bool | operator!= (const iterator &rhs) const
detail::CDataiterator * | get () const
| Expert backdoor.
bool | dip_equal (const detail::CDataiterator &lhs, const detail::CDataiterator &rhs) const
void | increment ()

## Detailed Description

Result iterator.

Extended iterator methods valid only if not @end.

Definition at line 349 of file lookupattr.h.

## Member Typedef Documentation

## ◆ iterator_category

using zyppng::sat::LookupAttr::iterator::iterator_category = std::forward_iterator_tag

Definition at line 352 of file lookupattr.h.

## ◆ value_type

using zyppng::sat::LookupAttr::iterator::value_type = LookupAttrValue

Definition at line 353 of file lookupattr.h.

## ◆ difference_type

using zyppng::sat::LookupAttr::iterator::difference_type = std::ptrdiff_t

Definition at line 354 of file lookupattr.h.

## ◆ pointer

using zyppng::sat::LookupAttr::iterator::pointer = void

proxy type — no stable address

Definition at line 355 of file lookupattr.h.

## ◆ reference

using zyppng::sat::LookupAttr::iterator::reference = LookupAttrValue

Definition at line 356 of file lookupattr.h.

## Constructor & Destructor Documentation

## ◆ iterator() [1/3]

zyppng::sat::LookupAttr::iterator::iterator | ( |  | ) |

Definition at line 679 of file lookupattr.cc.

## ◆ iterator() [2/3]

zyppng::sat::LookupAttr::iterator::iterator | ( | const iterator & | rhs | ) |

Definition at line 682 of file lookupattr.cc.

## ◆ ~iterator()

zyppng::sat::LookupAttr::iterator::~iterator | ( |  | ) |

Definition at line 692 of file lookupattr.cc.

## ◆ iterator() [3/3]

zyppng::sat::LookupAttr::iterator::iterator | ( | detail::DIWrap & | dip_r | ) |

C-tor taking over ownership of the passed `detail::CDataiterator` and doing its first iteration (::dataiterator_step).

Definition at line 686 of file lookupattr.cc.

## Member Function Documentation

## ◆ nextSkipSolvAttr()

void zyppng::sat::LookupAttr::iterator::nextSkipSolvAttr | ( |  | ) |

On the next call to operator++ advance to the next SolvAttr.

Definition at line 330 of file lookupattr.cc.

## ◆ nextSkipSolvable()

void zyppng::sat::LookupAttr::iterator::nextSkipSolvable | ( |  | ) |

On the next call to operator++ advance to the next Solvable.

Definition at line 333 of file lookupattr.cc.

## ◆ nextSkipRepo()

void zyppng::sat::LookupAttr::iterator::nextSkipRepo | ( |  | ) |

On the next call to operator++ advance to the next Repository.

Definition at line 336 of file lookupattr.cc.

## ◆ skipSolvAttr()

void zyppng::sat::LookupAttr::iterator::skipSolvAttr | ( |  | ) |
| inline

Immediately advance to the next SolvAttr.

Definition at line 370 of file lookupattr.h.

## ◆ skipSolvable()

void zyppng::sat::LookupAttr::iterator::skipSolvable | ( |  | ) |
| inline

Immediately advance to the next Solvable.

Definition at line 374 of file lookupattr.h.

## ◆ skipRepo()

void zyppng::sat::LookupAttr::iterator::skipRepo | ( |  | ) |
| inline

Immediately advance to the next Repository.

Definition at line 378 of file lookupattr.h.

## ◆ stayInThisSolvable()

void zyppng::sat::LookupAttr::iterator::stayInThisSolvable | ( |  | ) |

Stop after all matches in the current Solvable are processed.

Definition at line 339 of file lookupattr.cc.

## ◆ stayInThisRepo()

void zyppng::sat::LookupAttr::iterator::stayInThisRepo | ( |  | ) |

Stop after all matches in the current Repository are processed.

Definition at line 342 of file lookupattr.cc.

## ◆ atEnd()

bool zyppng::sat::LookupAttr::iterator::atEnd | ( |  | ) | const
| inline

Whether this points to the end of a query (iterator is invalid).

Definition at line 389 of file lookupattr.h.

## ◆ operator=()

LookupAttr::iterator & zyppng::sat::LookupAttr::iterator::operator= | ( | const iterator & | rhs | ) |

Definition at line 695 of file lookupattr.cc.

## ◆ operator*()

LookupAttrValue zyppng::sat::LookupAttr::iterator::operator* | ( |  | ) | const

Definition at line 711 of file lookupattr.cc.

## ◆ operator++() [1/2]

LookupAttr::iterator & zyppng::sat::LookupAttr::iterator::operator++ | ( |  | ) |

Definition at line 716 of file lookupattr.cc.

## ◆ operator++() [2/2]

LookupAttr::iterator zyppng::sat::LookupAttr::iterator::operator++ | ( | int |  | ) |

Definition at line 722 of file lookupattr.cc.

## ◆ operator==()

bool zyppng::sat::LookupAttr::iterator::operator== | ( | const iterator & | rhs | ) | const

Definition at line 729 of file lookupattr.cc.

## ◆ operator!=()

bool zyppng::sat::LookupAttr::iterator::operator!= | ( | const iterator & | rhs | ) | const
| inline

Definition at line 413 of file lookupattr.h.

## ◆ dip_equal()

bool zyppng::sat::LookupAttr::iterator::dip_equal | ( | const detail::CDataiterator & | lhs,
|  | const detail::CDataiterator & | rhs ) const
| private

Definition at line 704 of file lookupattr.cc.

## ◆ increment()

void zyppng::sat::LookupAttr::iterator::increment | ( |  | ) |
| private

Definition at line 735 of file lookupattr.cc.

## ◆ get()

detail::CDataiterator * zyppng::sat::LookupAttr::iterator::get | ( |  | ) | const
| inline

Expert backdoor.

Definition at line 422 of file lookupattr.h.

## Member Data Documentation

## ◆ _dip

detail::DIWrap zyppng::sat::LookupAttr::iterator::_dip
| private

Definition at line 425 of file lookupattr.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/lookupattr.h
- zypp/ng/sat/lookupattr.cc